Bug 151625 - new list created by 'bin/newlist' does not appear on list overview
new list created by 'bin/newlist' does not appear on list overview
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mailman (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-20 19:19 EST by Ben Levenson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 08:10:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2005-03-20 19:19:25 EST
Description of problem:
1- create a new list with bin/newlist
2- make sure it is flagged as a public list
3- it does not show up on the general list overview
4- lists created via the web interface always show up when flagged as public

NOTE: this only happens on ia64 and x86_64.  I can't reproduce the issue
on i386, ppc, s390, and s390x.

Version-Release number of selected component (if applicable):
mailman-2.1.5-31.rhel4

How reproducible:
100%
problem exists regardless of SELinux enforcement.

Steps to Reproduce:
see above
Comment 1 James Laska 2005-03-21 16:55:46 EST
Tested newlist under the following conditions:

  1) performed a fresh install of RHEL-4/GOLD/AS/x86_64
(mailman-2.1.5-30.rhel4.x86_64)
  2) updated system to package contents in rhn.live (mailman-2.1.5-33.rhel4.x86_64)

In both situations /usr/lib/mailman/bin/newlist $listname correctly showed up
when I visit http://127.0.0.1/mailman/listinfo
Comment 2 Ben Levenson 2005-03-21 20:37:49 EST
http://x86_64-4as.lab.boston.redhat.com/mailman/listinfo
note there is no "mailman" list advertised on the listinfo page.

http://x86_64-4as.lab.boston.redhat.com/mailman/admin/mailman/?VARHELP=privacy/subscribing/advertised
note that the list is supposed to be advertised.


Comment 3 Tomas Smetana 2007-04-13 09:05:22 EDT
I could not reproduce this too. Could you please send me the output of
"hostname" command on the machine you experienced the problems?

For every list mailman saves the hostname from which the list was created. If
the url you use to display the lists in your browser is different from the url
the list was created, it won't appear.
Comment 4 Tomas Smetana 2007-11-28 08:10:18 EST
Closing.  This was not reported by anyone else and I can't reproduce it either.

Note You need to log in before you can comment on or make changes to this bug.